def manga(zahl):
    erg = ""                  
    a = zahl // 80						#Anzahl der Achtziger
    if a > 0:
       erg = erg + str(a) + "A "		#Ausgabe vorbereiten
       zahl = zahl % 80					#Rest bilden
    v = zahl // 40						#Anzahl der Vierziger
    if v > 0:
       erg = erg + "V "
       zahl = zahl % 40
    w = zahl // 20						#Anzahl der Zwanziger
    if w > 0:
        erg = erg + "W "
        zahl = zahl % 20
    z = zahl // 10						#Anzahl der Zehner
    if z > 0:
        erg = erg + "Z "
    erg = erg + str(zahl % 10)			#Anzahl der Einer anhängen
    return(erg)
    
zahl = int(input("Eingabe Dezimalzahl: "))
if zahl < 800:
    print("Die Zahl",zahl,"entspricht der Mangarevanischen Zahl",manga(zahl))
else:
    print("Umwandlung nicht möglich")
